function rainbowpickerInit()
{
	window.removeEventListener("load", rainbowpickerInit, false);
	var dataURI = Components.classes['@mozilla.org/network/io-service;1'].getService(Components.interfaces.nsIIOService).newURI("data:text/css," + encodeURI("colorpicker[type=\"button\"]{-moz-binding:url(\"chrome://rainbowpicker/content/colorpicker.xml#colorpicker-button\")}"), null, null);
	var sss     = Components.classes["@mozilla.org/content/style-sheet-service;1"].getService(Components.interfaces.nsIStyleSheetService);

	if (!sss.sheetRegistered(dataURI, sss.USER_SHEET)) { 
		sss.loadAndRegisterSheet(dataURI, sss.USER_SHEET);
	}
}

function rainbowpickerToolbar()
{
	try {
		var showWarning = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch).getIntPref("rainbowpicker.showWarning");

		if (showWarning != 0) {
			window.openDialog("chrome://rainbowpicker/content/warning.xul", "", "chrome, modal, centerscreen, dialog");
		}
	} catch(e) {
		window.openDialog("chrome://rainbowpicker/content/warning.xul", "", "chrome, modal, centerscreen, dialog");
	}

	var newColor = {elemCurrColor:"", cancel:false};
	window.openDialog("chrome://rainbowpicker/content/colorpicker.xul", "", "chrome, close, titlebar, modal", "", newColor);

	if (newColor.cancel || newColor.elemCurrColor == "") {
		return;
	}

	Components.classes["@mozilla.org/widget/clipboardhelper;1"].getService(Components.interfaces.nsIClipboardHelper).copyString(newColor.elemCurrColor);
}

window.addEventListener("load", rainbowpickerInit, false);
